<?php
/*
Plugin Name: New User Instant Password (NUIP)
Plugin URI: http://gluek.info/wiki/wordpress/nuip
Description: This plugin redefine function wp_new_user_notification to instantly show generated user password when new user register.
Version: 1.0
Author: Gluek
Author URI: http://gluek.info/
*/

//if ( !function_exists('wp_new_user_notification') ) :
function wp_new_user_notification($user_id, $plaintext_pass = '') {
  $user = new WP_User($user_id);

  $user_login = stripslashes($user->user_login);
  $user_email = stripslashes($user->user_email);

  $message  = sprintf(__('New user registration on your blog %s:'), get_option('blogname')) . "\r\n\r\n";
  $message .= sprintf(__('Username: %s'), $user_login) . "\r\n\r\n";
  $message .= sprintf(__('E-mail: %s'), $user_email) . "\r\n";

  @wp_mail(get_option('admin_email'), sprintf(__('[%s] New User Registration'), get_option('blogname')), $message);

  if ( empty($plaintext_pass) )
    return;

  $message = sprintf(__('New User Instant Password (NUIP): <b>%s</b>'), $plaintext_pass) . "\r\n";

  @wp_mail($user_email, sprintf(__('[%s] Your username and password'), get_option('blogname')), $message);
  echo '<div style="position: absolute; left: 5px; top: 5px; border: 1px solid #ccc; background-color: #fff; margin: 10px; padding: 10px;">';
  echo $message;
  echo '</div>';

}
//endif;
?>